{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-guides/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Listening Topic Group API V3 — Developer Guide","description":"Sprinklr offers robust, convenient, and simple RESTful Web service APIs to integrate data from Sprinklr to any external system.","keywords":["Sprinklr API","Sprinklr Developer Portal","OAuth 2.0","RESTful API","Social Media API","Customer Experience API","Unified-CXM","Social Listening API"]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"listening-topic-group-api-v3--developer-guide","__idx":0},"children":["Listening Topic Group API V3 — Developer Guide"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Applies to:"]}," Sprinklr Listening Topic Group API V3 (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]},")"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["V2 API reference:"]}," ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://legacy-dev.sprinklr.com/topic-group-2-0"},"children":["Topic Group 2.0 | Sprinklr Developer Portal"]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-overview","__idx":1},"children":["1. Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Topic Groups organize Listening Topics into categories. The V3 API uses one resource path and differentiates operations by HTTP method."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Operation"},"children":["Operation"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Method"},"children":["Method"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Path"},"children":["Path"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch one, multiple, or all Topic Groups"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Create a Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Partially update a Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Delete one or more Topic Groups"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"11-topic-group-object","__idx":2},"children":["1.1 Topic Group object"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<AssetShareConfig>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configurations associated with the Topic Group."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"12-assetshareconfig-object","__idx":3},"children":["1.2 AssetShareConfig object"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing scope. Documented values include ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GLOBAL"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CLIENT"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CLIENT_GROUP"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["USER"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["USER_GROUP"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ids"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Conditional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifiers associated with the selected sharing scope."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"13-getpost-and-patch-sharing-models","__idx":4},"children":["1.3 GET/POST and PATCH sharing models"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["GET and POST use ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]},", a plural array. PATCH uses ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]},", a singular object, and may also contain ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["permissionEntity"]},"."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Model"},"children":["Model"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Shape"},"children":["Shape"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Purpose"},"children":["Purpose"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["GET/POST"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array of ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{type, ids[]}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configuration returned with Topic Groups or supplied during creation."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["PATCH"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object with user, group, client, and client-group IDs"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Controls who can view Topics in the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["PATCH"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["permissionEntity"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object with the same sub-fields as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Controls who can edit or update Topics in the Topic Group."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"2-base-url-and-environments","__idx":5},"children":["2. Base URL and environments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the environment-specific API V3 base URL:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3\n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Topic Group resource is:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup\n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{env}"]}," with the assigned environment identifier."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-authentication-and-common-headers","__idx":6},"children":["3. Authentication and common headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Value"},"children":["Value"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required on"},"children":["Required on"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer {{accessToken}}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["All requests"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["OAuth credential used to authenticate the user."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{{apiKey}}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["All requests"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key used to authenticate the application."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates that the request body is JSON."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Accept"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Recommended on all requests"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Requests a JSON response."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Do not publish access tokens, API keys, or session cookies in examples."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"4-fetch-topic-groups","__idx":7},"children":["4. Fetch Topic Groups"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET /api/v3/listening/topicGroup\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The same ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," operation supports three retrieval modes:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Omit ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," to fetch all Topic Groups available to the caller."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Provide one ID to retrieve a specific Topic Group."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Provide comma-separated IDs to retrieve multiple Topic Groups."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"41-query-parameters","__idx":8},"children":["4.1 Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Location"},"children":["Location"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier or comma-separated list of Topic Group IDs. When omitted, the API fetches all accessible Topic Groups."]}]}]}]}]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," is a query parameter, not a path parameter."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"42-fetch-a-single-topic-group","__idx":9},"children":["4.2 Fetch a single Topic Group"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request","__idx":10},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6a9c0379fc2ea04ab3c62dce' \\\n  --header 'Accept: application/json' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":11},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6a9c0379fc2ea04ab3c62dce\",\n      \"name\": \"New Group 007\",\n      \"description\": \"Optional description\"\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"43-fetch-all-topic-groups","__idx":12},"children":["4.3 Fetch all Topic Groups"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Omit the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," query parameter."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-1","__idx":13},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup' \\\n  --header 'Accept: application/json' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-1","__idx":14},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6a9c0379fc2ea04ab3c62dce\",\n      \"name\": \"New Group 007\",\n      \"description\": \"Optional description\"\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"44-fetch-multiple-topic-groups","__idx":15},"children":["4.4 Fetch multiple Topic Groups"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Provide up to 50 comma-separated Topic Group IDs. Commas may be URL-encoded as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["%2C"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-2","__idx":16},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --globoff 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6967654151649239c74dfc0d%2C6995a3f1d7890350f0cd8e2c' \\\n  --header 'Accept: application/json' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-2","__idx":17},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6967654151649239c74dfc0d\",\n      \"name\": \"topic_backfill_dnd\",\n      \"description\": \"Created via Automation\",\n      \"shareConfigs\": [\n        {\n          \"type\": \"GLOBAL\"\n        }\n      ]\n    },\n    {\n      \"id\": \"6995a3f1d7890350f0cd8e2c\",\n      \"name\": \"Test-Topic-Group\",\n      \"description\": \"Dummy Group For API test\",\n      \"shareConfigs\": [\n        {\n          \"type\": \"CLIENT\",\n          \"ids\": [\"66000002\", \"66000437\"]\n        },\n        {\n          \"type\": \"CLIENT_GROUP\",\n          \"ids\": []\n        },\n        {\n          \"type\": \"USER\",\n          \"ids\": [\"66006626\"]\n        },\n        {\n          \"type\": \"USER_GROUP\",\n          \"ids\": [\"682b6b7d296ee9626e5004fc\"]\n        }\n      ]\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"45-partial-success-with-valid-and-invalid-ids","__idx":18},"children":["4.5 Partial success with valid and invalid IDs"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When a multi-ID request includes valid, invalid, missing, or blank values, the response may contain both successfully retrieved Topic Groups in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," and item-level failures in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-3","__idx":19},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --globoff 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6967654151649239c74dfc0d%2C6995a3f1d7890350f0cd8e2c%2CINVALID%2CTEST%2C%2C%2Cabcd' \\\n  --header 'Accept: application/json' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-3","__idx":20},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6967654151649239c74dfc0d\",\n      \"name\": \"topic_backfill_dnd\",\n      \"description\": \"Created via Automation\",\n      \"shareConfigs\": [\n        {\n          \"type\": \"GLOBAL\"\n        }\n      ]\n    },\n    {\n      \"id\": \"6995a3f1d7890350f0cd8e2c\",\n      \"name\": \"Test-Topic-Group\",\n      \"description\": \"Dummy Group For API test\"\n    }\n  ],\n  \"errors\": [\n    {\n      \"id\": \"6995a49cf58d8b601be9ec24\",\n      \"code\": 404,\n      \"message\": \"Listening_topic_group not found for id: 'INVALID'. Verify the listening_topic_group exists and you have access permissions.\"\n    },\n    {\n      \"id\": \"6995a49cf58d8b601be9ec25\",\n      \"code\": 404,\n      \"message\": \"Listening_topic_group not found for id: 'TEST'. Verify the listening_topic_group exists and you have access permissions.\"\n    },\n    {\n      \"id\": \"6995a49cf58d8b601be9ec23\",\n      \"code\": 400,\n      \"message\": \"Invalid id format: ''. Value cannot be empty or blank.\"\n    },\n    {\n      \"id\": \"6995a49cf58d8b601be9ec26\",\n      \"code\": 404,\n      \"message\": \"Listening_topic_group not found for id: 'abcd'. Verify the listening_topic_group exists and you have access permissions.\"\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Always inspect ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]},", even when ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," contains records."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"46-maximum-id-limit","__idx":21},"children":["4.6 Maximum ID limit"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A single request supports a maximum of 50 Topic Group IDs. Split larger lists into batches of 50."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-for-51-ids","__idx":22},"children":["Example response for 51 IDs"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"errors\": [\n    {\n      \"id\": \"6995bcdaf58d8b601be9edc3\",\n      \"code\": 400,\n      \"message\": \"Maximum of 50 listening_topic_group identifiers supported per request. Provided: 51. Consider splitting you request in batches of 50 identifiers per request\"\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"47-get-response-parameters","__idx":23},"children":["4.7 GET response parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Topic Groups successfully returned by the API."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the Topic Group. May be empty or omitted."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configurations associated with the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing scope. Values shown in the source include ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GLOBAL"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CLIENT"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CLIENT_GROUP"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["USER"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["USER_GROUP"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ids"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifiers associated with the sharing scope. Returned only where applicable."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Errors encountered while processing the request. Empty on complete success."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier associated with an error."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Error code."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the error."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"5-create-a-topic-group","__idx":24},"children":["5. Create a Topic Group"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"POST /api/v3/listening/topicGroup\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Creates a Listening Topic Group and returns its identifier and related fields."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"51-request-body","__idx":25},"children":["5.1 Request body"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the Topic Group to create."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Additional details about the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configurations associated with the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs[]"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes within object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing scope."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs[]"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ids"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Conditional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["IDs associated with the sharing scope."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"52-example-request","__idx":26},"children":["5.2 Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request POST 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'Accept: application/json' \\\n  --data '{\n    \"name\": \"Brand Monitoring Groups\",\n    \"description\": \"Optional description\"\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"53-example-response","__idx":27},"children":["5.3 Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"id\": \"6a86f91b670de61b6833e25a\",\n    \"name\": \"Brand Monitoring Groups\",\n    \"description\": \"Optional description\"\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"54-post-response-parameters","__idx":28},"children":["5.4 POST response parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the created Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Errors encountered during processing. Empty on success."]}]}]}]}]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["POST returns ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," as an object, while GET returns ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," as an array."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"6-partially-update-a-topic-group","__idx":29},"children":["6. Partially Update a Topic Group"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH /api/v3/listening/topicGroup?id={id}\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Updates selected fields of one Topic Group."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"61-query-parameters","__idx":30},"children":["6.1 Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Location"},"children":["Location"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the Topic Group to update. Update one Topic Group per call."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"62-request-body","__idx":31},"children":["6.2 Request body"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated Topic Group name."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated Topic Group description."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Configuration controlling who can view Topics in the Topic Group."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["userIds"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Long>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["User IDs."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["userGroupIds"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["User Group IDs."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["clientIds"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Long>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Client IDs."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["clientGroupIds"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Client Group IDs."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareWithEveryOne"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["When ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["true"]},", shares with every user."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["permissionEntity"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["N/A"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Configuration controlling who can edit or update Topics in the Topic Group. Uses the same sub-fields as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"63-example-request","__idx":32},"children":["6.3 Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request PATCH 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6a86f91b670de61b6833e25a' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'Accept: application/json' \\\n  --data '{\n    \"name\": \"Renamed Group\",\n    \"description\": \"Updated description\"\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"64-example-response","__idx":33},"children":["6.4 Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 No Content\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The source materials contain conflicting PATCH response descriptions. Validate the published status and body against the current service contract."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"7-delete-topic-groups","__idx":34},"children":["7. Delete Topic Groups"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"DELETE /api/v3/listening/topicGroup?id={id}\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Deletes one or more Topic Groups."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"71-query-parameters","__idx":35},"children":["7.1 Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Location"},"children":["Location"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Query"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Topic Group ID or comma-separated Topic Group IDs to delete."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"72-delete-one-topic-group","__idx":36},"children":["7.2 Delete one Topic Group"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request DELETE 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6a86f91b670de61b6833e25a' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}' \\\n  --header 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"73-bulk-delete-topic-groups","__idx":37},"children":["7.3 Bulk delete Topic Groups"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request DELETE 'https://api3.sprinklr.com/{env}/api/v3/listening/topicGroup?id=6a86f91b670de61b6833e25a,64dc93460cfbc0371ee1ac54' \\\n  --header 'Authorization: Bearer {{accessToken}}' \\\n  --header 'Key: {{apiKey}}' \\\n  --header 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"74-example-response","__idx":38},"children":["7.4 Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 No Content\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The source materials contain conflicting DELETE response descriptions. Validate the published status and body against the current service contract."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"8-response-formats","__idx":39},"children":["8. Response Formats"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"81-get-success-envelope","__idx":40},"children":["8.1 GET success envelope"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"<TOPIC_GROUP_ID>\",\n      \"name\": \"Topic Group Name\"\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"82-post-success-envelope","__idx":41},"children":["8.2 POST success envelope"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"id\": \"<TOPIC_GROUP_ID>\",\n    \"name\": \"Topic Group Name\"\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"83-partial-success-envelope","__idx":42},"children":["8.3 Partial-success envelope"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [],\n  \"errors\": [\n    {\n      \"id\": \"<ERROR_ID>\",\n      \"code\": 404,\n      \"message\": \"<ERROR_MESSAGE>\"\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"9-error-handling-and-response-codes","__idx":43},"children":["9. Error Handling and Response Codes"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Code"},"children":["Code"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Meaning"},"children":["Meaning"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Documented scenario"},"children":["Documented scenario"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["200 OK"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Success"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request processed successfully. Inspect ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}," for partial failures."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["204 No Content"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Success with no body"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Shown in supplied PATCH and DELETE examples."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["400 Bad Request"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Invalid request"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Blank ID or more than 50 IDs."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["401 Unauthorized"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authentication failed"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Missing, expired, or invalid authorization token."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["403 Forbidden"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Permission failure"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Caller lacks required access."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["404 Not Found"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Resource not found"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No accessible Topic Group found for the supplied ID."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"error-object","__idx":44},"children":["Error object"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifier associated with the error."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Error code."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Human-readable failure description."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"10-v2-to-v3-migration","__idx":45},"children":["10. V2 to V3 Migration"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"V2 operation"},"children":["V2 operation"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"V2 endpoint"},"children":["V2 endpoint"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"V3 endpoint"},"children":["V3 endpoint"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Create Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v2/listening-topic-group"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Read Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v2/listening-topic-group/{Id}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch All Topic Groups"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v2/listening-topic-group"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Update Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT /api/v2/listening-topic-group/{Id}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH /api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Delete Topic Group"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE /api/v2/listening-topic-group/{Id}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE /api/v3/listening/topicGroup?id={id}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"migration-considerations","__idx":46},"children":["Migration considerations"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["V3 uses a query parameter for the Topic Group ID."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["V3 GET supports one ID, multiple comma-separated IDs, or no ID."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["V3 PATCH replaces the V2 PUT operation."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["GET returns ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," as an array, while POST returns ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," as an object in the supplied samples."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"11-use-cases","__idx":47},"children":["11. Use Cases"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"111-create-and-verify-a-topic-group","__idx":48},"children":["11.1 Create and verify a Topic Group"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Create the Topic Group with POST, persist the returned ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.id"]},", and retrieve it with GET."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"112-retrieve-multiple-topic-groups","__idx":49},"children":["11.2 Retrieve multiple Topic Groups"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Submit up to 50 comma-separated Topic Group IDs and review both ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"113-fetch-all-accessible-topic-groups","__idx":50},"children":["11.3 Fetch all accessible Topic Groups"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Omit ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," to retrieve Topic Groups available to the caller."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"114-update-topic-group-metadata","__idx":51},"children":["11.4 Update Topic Group metadata"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use PATCH to change the name or description without replacing the complete object."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"115-delete-multiple-topic-groups","__idx":52},"children":["11.5 Delete multiple Topic Groups"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Pass comma-separated IDs to the DELETE endpoint."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"12-caveats-and-best-practices","__idx":53},"children":["12. Caveats and Best Practices"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Use ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]}," without a trailing slash before the query string."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Treat ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," as a query parameter."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Send no more than 50 IDs in a multi-ID GET request."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Always inspect ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}," because bulk GET can return partial results."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["URL-encode commas and any IDs containing spaces when required by the client."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Do not assume every Topic Group ID follows a 24-character hexadecimal format."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Keep ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]}," for GET/POST distinct from ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["permissionEntity"]}," on PATCH."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Do not include cookies, access tokens, or API keys in published examples."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm PATCH and DELETE success responses against the service contract before publication."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"13-quick-reference","__idx":54},"children":["13. Quick Reference"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Task"},"children":["Task"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Method"},"children":["Method"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Request"},"children":["Request"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch all"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch one"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch multiple"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id1},{id2}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Create"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Update"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Delete one"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Delete multiple"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/listening/topicGroup?id={id1},{id2}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"14-publishing-checklist","__idx":55},"children":["14. Publishing Checklist"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Verify the production base URL and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{env}"]}," placement."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Verify PATCH and DELETE status codes and response bodies."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm the maximum delete batch size."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm behavior when ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," is explicitly present but blank."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm permission requirements for create, update, and delete."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Validate every cURL request."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Remove real credentials and session cookies."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Confirm sharing-model behavior for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfig"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["permissionEntity"]},"."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"em","attributes":{},"children":["All identifiers and credentials in this guide are placeholders or documentation examples. Do not commit or log real credentials."]}]}]},"headings":[{"value":"Listening Topic Group API V3 — Developer Guide","id":"listening-topic-group-api-v3--developer-guide","depth":1},{"value":"1. Overview","id":"1-overview","depth":2},{"value":"1.1 Topic Group object","id":"11-topic-group-object","depth":3},{"value":"1.2 AssetShareConfig object","id":"12-assetshareconfig-object","depth":3},{"value":"1.3 GET/POST and PATCH sharing models","id":"13-getpost-and-patch-sharing-models","depth":3},{"value":"2. Base URL and environments","id":"2-base-url-and-environments","depth":2},{"value":"3. Authentication and common headers","id":"3-authentication-and-common-headers","depth":2},{"value":"4. Fetch Topic Groups","id":"4-fetch-topic-groups","depth":2},{"value":"4.1 Query parameters","id":"41-query-parameters","depth":3},{"value":"4.2 Fetch a single Topic Group","id":"42-fetch-a-single-topic-group","depth":3},{"value":"Example request","id":"example-request","depth":4},{"value":"Example response","id":"example-response","depth":4},{"value":"4.3 Fetch all Topic Groups","id":"43-fetch-all-topic-groups","depth":3},{"value":"Example request","id":"example-request-1","depth":4},{"value":"Example response","id":"example-response-1","depth":4},{"value":"4.4 Fetch multiple Topic Groups","id":"44-fetch-multiple-topic-groups","depth":3},{"value":"Example request","id":"example-request-2","depth":4},{"value":"Example response","id":"example-response-2","depth":4},{"value":"4.5 Partial success with valid and invalid IDs","id":"45-partial-success-with-valid-and-invalid-ids","depth":3},{"value":"Example request","id":"example-request-3","depth":4},{"value":"Example response","id":"example-response-3","depth":4},{"value":"4.6 Maximum ID limit","id":"46-maximum-id-limit","depth":3},{"value":"Example response for 51 IDs","id":"example-response-for-51-ids","depth":4},{"value":"4.7 GET response parameters","id":"47-get-response-parameters","depth":3},{"value":"5. Create a Topic Group","id":"5-create-a-topic-group","depth":2},{"value":"5.1 Request body","id":"51-request-body","depth":3},{"value":"5.2 Example request","id":"52-example-request","depth":3},{"value":"5.3 Example response","id":"53-example-response","depth":3},{"value":"5.4 POST response parameters","id":"54-post-response-parameters","depth":3},{"value":"6. Partially Update a Topic Group","id":"6-partially-update-a-topic-group","depth":2},{"value":"6.1 Query parameters","id":"61-query-parameters","depth":3},{"value":"6.2 Request body","id":"62-request-body","depth":3},{"value":"6.3 Example request","id":"63-example-request","depth":3},{"value":"6.4 Example response","id":"64-example-response","depth":3},{"value":"7. Delete Topic Groups","id":"7-delete-topic-groups","depth":2},{"value":"7.1 Query parameters","id":"71-query-parameters","depth":3},{"value":"7.2 Delete one Topic Group","id":"72-delete-one-topic-group","depth":3},{"value":"7.3 Bulk delete Topic Groups","id":"73-bulk-delete-topic-groups","depth":3},{"value":"7.4 Example response","id":"74-example-response","depth":3},{"value":"8. Response Formats","id":"8-response-formats","depth":2},{"value":"8.1 GET success envelope","id":"81-get-success-envelope","depth":3},{"value":"8.2 POST success envelope","id":"82-post-success-envelope","depth":3},{"value":"8.3 Partial-success envelope","id":"83-partial-success-envelope","depth":3},{"value":"9. Error Handling and Response Codes","id":"9-error-handling-and-response-codes","depth":2},{"value":"Error object","id":"error-object","depth":3},{"value":"10. V2 to V3 Migration","id":"10-v2-to-v3-migration","depth":2},{"value":"Migration considerations","id":"migration-considerations","depth":3},{"value":"11. Use Cases","id":"11-use-cases","depth":2},{"value":"11.1 Create and verify a Topic Group","id":"111-create-and-verify-a-topic-group","depth":3},{"value":"11.2 Retrieve multiple Topic Groups","id":"112-retrieve-multiple-topic-groups","depth":3},{"value":"11.3 Fetch all accessible Topic Groups","id":"113-fetch-all-accessible-topic-groups","depth":3},{"value":"11.4 Update Topic Group metadata","id":"114-update-topic-group-metadata","depth":3},{"value":"11.5 Delete multiple Topic Groups","id":"115-delete-multiple-topic-groups","depth":3},{"value":"12. Caveats and Best Practices","id":"12-caveats-and-best-practices","depth":2},{"value":"13. Quick Reference","id":"13-quick-reference","depth":2},{"value":"14. Publishing Checklist","id":"14-publishing-checklist","depth":2}],"frontmatter":{"seo":{"title":"Listening Topic Group API V3 — Developer Guide"}},"lastModified":"2026-10-23T05:47:27.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/guides/topics/listening-topic-group-api-v3-developer-guide","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}